package intrinsic.mx.graphics;

public class LinearGradientStroke extends intrinsic.mx.graphics.GradientBase implements intrinsic.mx.graphics.IStroke {

	/** Accessors */
	public String spreadMethod;
	public String caps;
	public double weight;
	public String interpolationMethod;
	public String scaleMode;
	public String joints;
	public double angle;
	public boolean pixelHinting;
	public double miterLimit;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public LinearGradientStroke() {
}

public LinearGradientStroke(Object arg0) {
}

public LinearGradientStroke(Object arg0, Object arg1) {
}

public LinearGradientStroke(Object arg0, Object arg1, Object arg2) {
}

public LinearGradientStroke(Object arg0, Object arg1, Object arg2, Object arg3) {
}

public LinearGradientStroke(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4) {
}

public LinearGradientStroke(Object arg0, Object arg1, Object arg2, Object arg3, Object arg4, Object arg5) {
}


/** Static Methods */

/** Methods */
public native void apply(intrinsic.flash.display.Graphics arg0);

}
